Package ru.bitel.bgbilling.kernel.contract.dashboard.common.bean

# Class DashboardItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.dashboard.common.bean.DashboardItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DashboardItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DashboardItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DashboardItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DashboardItem.Builder`
  `builder()`
  `String`
  `getAction()`
  `String`
  `getAssistantMasterId()`
  `String`
  `getDescription()`
  `String`
  `getIcon()`
  `DashboardItemType`
  `getItemType()`
  `String`
  `getKey()`
  `String`
  `getModule()`
  `int`
  `getModuleId()`
  `List<DashboardItem>`
  `getSubItems()`
  `String`
  `getUrl()`
  `void`
  `setAction(String action)`
  `void`
  `setAssistantMasterId(String assistantMasterId)`
  `void`
  `setDescription(String description)`
  `void`
  `setIcon(String icon)`
  `void`
  `setItemType(DashboardItemType itemType)`
  `DashboardItem`
  `setKey(String key)`
  `void`
  `setModule(String module)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setSubItems(List<DashboardItem> subItems)`
  `void`
  `setUrl(String url)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DashboardItem

    public DashboardItem()

- ## Method Details

  - ### getKey

    public String getKey()

  - ### setKey

    public DashboardItem setKey(String key)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getModule

    public String getModule()

  - ### setModule

    public void setModule(String module)

  - ### getAction

    public String getAction()

  - ### setAction

    public void setAction(String action)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public void setIcon(String icon)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getUrl

    public String getUrl()

  - ### getAssistantMasterId

    public String getAssistantMasterId()

  - ### setUrl

    public void setUrl(String url)

  - ### setAssistantMasterId

    public void setAssistantMasterId(String assistantMasterId)

  - ### getItemType

    public DashboardItemType getItemType()

  - ### setItemType

    public void setItemType(DashboardItemType itemType)

  - ### getSubItems

    public List<DashboardItem> getSubItems()

  - ### setSubItems

    public void setSubItems(List<DashboardItem> subItems)

  - ### builder

    public static DashboardItem.Builder builder()